Bug 202901 - NullPointerException in SQLStackDataStorage.createTables(SQLStackDataStorage.java:217)
NullPointerException in SQLStackDataStorage.createTables(SQLStackDataStorage....
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
7.0.1
PC All
: P2 (vote)
: 7.0.1
Assigned To: Andrew Krasny
dlight-issues@cnd
701patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-30 16:38 UTC by Andrew Krasny
Modified: 2011-10-11 12:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2011-09-30 16:38:08 UTC
NPE when starting Code Analyzer:


java.lang.NullPointerException
        at org.netbeans.modules.dlight.core.stack.storage.impl.SQLStackDataStorage.createTables(SQLStackDataStorage.java:217)
        at org.netbeans.modules.dlight.management.api.impl.DataStorageManager.getDataStorage(DataStorageManager.java:178)
        at org.netbeans.modules.dlight.management.api.DLightManager.createDataProvider(DLightManager.java:323)
        at com.sun.tools.analytics.ui.lib.CallStackPanelProvider.getProvider(CallStackPanelProvider.java:50)
        at com.sun.tools.analytics.indicators.impl.providers.ResultsIssuesResponseImpl$IssueImpl.getCallStackComponent(ResultsIssuesResponseImpl.java:225)
        at com.sun.tools.analytics.ui.results.view.AnalyticsIssueDetailsPanel.<init>(AnalyticsIssueDetailsPanel.java:108)
        at com.sun.tools.analytics.ui.results.view.AnalyticsIssueDetailsPanel.<init>(AnalyticsIssueDetailsPanel.java:122)
        at com.sun.tools.analytics.ui.results.details.OneElementDetailsPanel.init(OneElementDetailsPanel.java:190)
        at com.sun.tools.analytics.ui.results.details.OneElementDetailsPanel.<init>(OneElementDetailsPanel.java:78)
        at com.sun.tools.analytics.ui.results.details.AnalyticsDetailsTopComponent.showDetails(AnalyticsDetailsTopComponent.java:197)
        at com.sun.tools.analytics.ui.results.view.AnalyticsResultElementDescriptionPanel$1.actionPerformed(AnalyticsResultElementDescriptionPanel.java:135)
        at com.sun.tools.analytics.ui.results.view.CodeSnippetPanel.btnOpenFileActionPerformed(CodeSnippetPanel.java:184)
        at com.sun.tools.analytics.ui.results.view.CodeSnippetPanel.access$100(CodeSnippetPanel.java:94)
        at com.sun.tools.analytics.ui.results.view.CodeSnippetPanel$2.actionPerformed(CodeSnippetPanel.java:163)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
        at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:272)
        at java.awt.Component.processMouseEvent(Component.java:6263)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
        at java.awt.Component.processEvent(Component.java:6028)
        at java.awt.Container.processEvent(Container.java:2041)
        at java.awt.Component.dispatchEventImpl(Component.java:4630)
        at java.awt.Container.dispatchEventImpl(Container.java:2099)
        at java.awt.Component.dispatchEvent(Component.java:4460)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
        at java.awt.Container.dispatchEventImpl(Container.java:2085)
        at java.awt.Window.dispatchEventImpl(Window.java:2478)
        at java.awt.Component.dispatchEvent(Component.java:4460)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 1 Andrew Krasny 2011-09-30 16:58:11 UTC
Fixed in releases/release701_fixes: changeset: 
http://hg.netbeans.org/releases/rev/298edf480dbc
Comment 2 Vladimir Voskresensky 2011-10-03 09:59:54 UTC
Fix is safe and correct
Comment 3 dnikitin 2011-10-04 15:16:18 UTC
can not reproduce in Oracle Solaris Studio 12.3 (2011/10/04 849d376fdbf7)
(sputnik-solstudio-main #3367)
Comment 4 Quality Engineering 2011-10-07 17:35:53 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/298edf480dbc
User: Andrew Krasny <akrasny@netbeans.org>
Log: Bug #202901 - NullPointerException in SQLStackDataStorage.createTables(SQLStackDataStorage.java:217)
Comment 5 Alexander Pepin 2011-10-11 12:43:00 UTC
can not reproduce in OSS dev build #3394 (built on NB 7.0.1 patch 2 20111007)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo